import request from '@/router/axios'

export function fetchList(data) {
  return request({
    url: '/admin/merchantFinancial/withdrawList',
    method: 'post',
    data
  })
}

export function walletInfo() {
  return request({
    url: '/admin/merchantFinancial/getWalletInfo',
    method: 'get'
  })
}

export function bindCard(data) {
  return request({
    url: '/admin/merchantCenter/bindBankCard',
    method: 'post',
    data
  })
}

export function applyWithdraw(data) {
  return request({
    url: '/admin/merchantCenter/applyWithdraw',
    method: 'post',
    data
  })
}

export function sendSms(params) {
  return request({
    url: '/admin/merchantCenter/sendSms',
    method: 'get',
    params
  })
}

export function checkSms(params) {
  return request({
    url: '/admin/merchantCenter/checkSms',
    method: 'get',
    params
  })
}
